import { IAnalyticalBackend } from "@gooddata/sdk-backend-spi";
import { DecoratorFactories } from "./types.js";
export type { ExecutionDecoratorFactory, CatalogDecoratorFactory, SecuritySettingsDecoratorFactory, WorkspaceSettingsDecoratorFactory, AttributesDecoratorFactory, AutomationsDecoratorFactory, DashboardsDecoratorFactory, DecoratorFactories, } from "./types.js";
/**
 * Decorated backend is a wrapper of any other backend implementations that can be used to enrich
 * functionality of the services that the wrapped backend normally provides.
 *
 * It can be for instance used to decorate execution factories and in conjunction with {@link DecoratedPreparedExecution}
 * also create decorated prepared executions.
 *
 * @param backend - instance of backend to decorate
 * @param decorators - configuration for the decorations
 * @returns new decorated backend
 * @alpha
 */
export declare function decoratedBackend(backend: IAnalyticalBackend, decorators: DecoratorFactories): IAnalyticalBackend;
//# sourceMappingURL=index.d.ts.map